package com.dayou.service;
import com.dayou.dto.OrderProductionsBag;
import com.dayou.dto.OrderReportDTO;
import com.dayou.dto.PersonalProductionDTO;
import com.dayou.dto.TaskRecordDTO;
import com.dayou.entity.PersonalProduction;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 个贷产品 服务类
 * </p>
 *
 * @author wucl
 * @since 2024-03-18
 */
public interface IPersonalProductionService extends IService<PersonalProduction> {

        Page<PersonalProduction> selectPage(Page page,PersonalProduction personalProduction);

        PersonalProduction detail(Long id);

        Boolean add(PersonalProduction personalProduction);

        Boolean update(PersonalProduction personalProduction);

        Boolean delete(Long id);

    Boolean genFile(Long personalId, Integer tag);

    Boolean upload(String filePath, MultipartFile file,Long targetId, Integer tag);

    Boolean removeFile(Long id);

    Boolean checkPass(TaskRecordDTO<PersonalProduction> taskRecordDTO);

    Boolean repertoryIn(TaskRecordDTO<PersonalProduction> taskRecordDTO);

    Boolean repertoryOut(TaskRecordDTO<PersonalProduction> taskRecordDTO);

    OrderProductionsBag productionBag(Long id);

    Boolean genFile(Long personalId);

    List<PersonalProductionDTO> updatePersonalProductionTime();
}
